# GimpUi.PathComboBox.new

    function new(): Gtk.Widget {
        // Gjs wrapper for gimp_path_combo_box_new()
    }

Creates a new GimpUi.IntComboBox filled with all currently opened path objects. If a constraint function is specified, it is called for each path object and only if the function returns true, the path object is added to the combobox.

You should use GimpUi.IntComboBox.prototype.connect to initialize and connect the combo. Use GimpUi.IntComboBox.prototype.set_active to set the active path ID and GimpUi.IntComboBox.prototype.get_active to retrieve the ID of the selected path object.

Since 2.4

Returns

  a new GimpUi.IntComboBox.